<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>B-Index</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="B-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-1.html">Prev Letter</a></li>
<li><a href="index-3.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-2.html" target="_top">Frames</a></li>
<li><a href="index-2.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a name="I:B">
<!--   -->
</a>
<h2 class="title">B</h2>
<dl>
<dt><a href="../queries/boolquery/Bool.html" title="class in queries.boolquery"><span class="typeNameLink">Bool</span></a> - Class in <a href="../queries/boolquery/package-summary.html">queries.boolquery</a></dt>
<dd>
<div class="block">Represents the ES bool query</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/boolquery/Bool.html#Bool--">Bool()</a></span> - Constructor for class queries.boolquery.<a href="../queries/boolquery/Bool.html" title="class in queries.boolquery">Bool</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/boolquery/Bool.html#Bool-java.util.ArrayList-java.util.ArrayList-java.util.ArrayList-java.lang.String-">Bool(ArrayList&lt;QueryType&gt;, ArrayList&lt;QueryType&gt;, ArrayList&lt;QueryType&gt;, String)</a></span> - Constructor for class queries.boolquery.<a href="../queries/boolquery/Bool.html" title="class in queries.boolquery">Bool</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/AggregationType.html#buildAggregation--">buildAggregation()</a></span> - Method in class aggregations.<a href="../aggregations/AggregationType.html" title="class in aggregations">AggregationType</a></dt>
<dd>
<div class="block">Builds and return an aggregation with the provided fields.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/DateRange.html#buildAggregation--">buildAggregation()</a></span> - Method in class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/DateRange.html" title="class in aggregations.bucketaggs">DateRange</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/IpRangeAggregation.html#buildAggregation--">buildAggregation()</a></span> - Method in class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/IpRangeAggregation.html" title="class in aggregations.bucketaggs">IpRangeAggregation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/RangeAggregation.html#buildAggregation--">buildAggregation()</a></span> - Method in class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/RangeAggregation.html" title="class in aggregations.bucketaggs">RangeAggregation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/TermsAggregation.html#buildAggregation--">buildAggregation()</a></span> - Method in class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/TermsAggregation.html" title="class in aggregations.bucketaggs">TermsAggregation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/metricsaggs/MetricsAggregation.html#buildAggregation--">buildAggregation()</a></span> - Method in class aggregations.metricsaggs.<a href="../aggregations/metricsaggs/MetricsAggregation.html" title="class in aggregations.metricsaggs">MetricsAggregation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../examples/newaggregation/NewFilterAggregation.html#buildAggregation--">buildAggregation()</a></span> - Method in class examples.newaggregation.<a href="../examples/newaggregation/NewFilterAggregation.html" title="class in examples.newaggregation">NewFilterAggregation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../examples/newquery/ExistsQuery.html#buildQuery--">buildQuery()</a></span> - Method in class examples.newquery.<a href="../examples/newquery/ExistsQuery.html" title="class in examples.newquery">ExistsQuery</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/boolquery/Bool.html#buildQuery--">buildQuery()</a></span> - Method in class queries.boolquery.<a href="../queries/boolquery/Bool.html" title="class in queries.boolquery">Bool</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/fulltext/Match.html#buildQuery--">buildQuery()</a></span> - Method in class queries.fulltext.<a href="../queries/fulltext/Match.html" title="class in queries.fulltext">Match</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/fulltext/MatchPhrase.html#buildQuery--">buildQuery()</a></span> - Method in class queries.fulltext.<a href="../queries/fulltext/MatchPhrase.html" title="class in queries.fulltext">MatchPhrase</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/fulltext/MatchPhrasePrefix.html#buildQuery--">buildQuery()</a></span> - Method in class queries.fulltext.<a href="../queries/fulltext/MatchPhrasePrefix.html" title="class in queries.fulltext">MatchPhrasePrefix</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/fulltext/QueryString.html#buildQuery--">buildQuery()</a></span> - Method in class queries.fulltext.<a href="../queries/fulltext/QueryString.html" title="class in queries.fulltext">QueryString</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/QueryType.html#buildQuery--">buildQuery()</a></span> - Method in interface queries.<a href="../queries/QueryType.html" title="interface in queries">QueryType</a></dt>
<dd>
<div class="block">Builds the ES query associated to this object applying the default values to fields that are not specified.</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/Range.html#buildQuery--">buildQuery()</a></span> - Method in class queries.<a href="../queries/Range.html" title="class in queries">Range</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/Search.html#buildQuery--">buildQuery()</a></span> - Method in class queries.<a href="../queries/Search.html" title="class in queries">Search</a></dt>
<dd>
<div class="block">Builds and returns the SearchRequest object representing this object.</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/Term.html#buildQuery--">buildQuery()</a></span> - Method in class queries.<a href="../queries/Term.html" title="class in queries">Term</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-1.html">Prev Letter</a></li>
<li><a href="index-3.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-2.html" target="_top">Frames</a></li>
<li><a href="index-2.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
